
package MooseX::Getopt::Parser;

use Moose::Role;
requires 'build_options';


1;


__END__

=pod

=head1 NAME

MooseX::Getopt::Parser - A Moose role for MooseX::Getopt's parser

=head1 SYNOPSIS

  package MooseX::Getopt::Parser::Descriptive;
  use Moose;
  with 'MooseX::Getopt::Parser';
  sub build_options {
      my $self = shift;
      my ($getopt, @attrs) = @_;
      Moose->throw_error('First argument is not a MooseX::Getopt::Session')
          unless $getopt->isa('MooseX::Getopt::Session');

      my $options = {};

      # your code is here

      return $options;
  }

=head1 DESCRIPTION

This is a L<Moose> role for L<MooseX::Getopt>'s parser.  The parser have
to implement C<build_options> method which takes a
L<MooseX::Getopt::Session> object and attributes list which will be
filled by parser.

=head1 BUGS

All complex software has bugs lurking in it, and this module is no
exception. If you find a bug please either email me, or add the bug
to cpan-RT.

=head1 SEE ALSO

=over 4

=item L<MooseX::Getopt>

=item L<MooseX::Getopt::Parser::Long>

=item L<MooseX::Getopt::Parser::Descriptive>

=item L<MooseX::Getopt::Parser::Default>

=back

=head1 AUTHOR

Piotr Roszatycki, E<lt>dexter@cpan.orgE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright 2007-2008 by Infinity Interactive, Inc.

L<http://www.iinteractive.com>

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself.

=cut
